#version 140

in vec2 v_tex_coords;
in vec3 v_frag_color;
in float v_sun_intensity;


out vec4 color;


uniform sampler2D tex;

void main() {
    vec4 sun_color = vec4(v_sun_intensity , v_sun_intensity , 0.0, 1.0);
    

    color = texture(tex, v_tex_coords) * vec4(v_frag_color, 1.0) * sun_color;
}