#version 140

in vec2 position;
in vec2 tex_coords;
in vec4 light_color;

out vec3 v_frag_color;
out vec2 v_tex_coords;
out float v_sun_intensity;

uniform mat4 matrix;

void main() {
    v_tex_coords = tex_coords;

    v_frag_color = vec3(light_color.rgb);
    v_sun_intensity = light_color.a;

    gl_Position = matrix * vec4(position, 0.0, 1.0);
}